org.keycloak.services.managers

## Class ClientManager.InstallationAdapterConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.services.managers.ClientManager.InstallationAdapterConfig

- Enclosing class:
    ClientManager

      public static class ClientManager.InstallationAdapterConfig
      extends BaseRealmConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `bearerOnly`
    `protected Map<String,Object>` | `credentials`
    `protected PolicyEnforcerConfig` | `enforcerConfig`
    `protected Boolean` | `publicClient`
    `protected String` | `resource`
    `protected Boolean` | `useResourceRoleMappings`
    `protected Boolean` | `verifyTokenAudience`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, confidentialPort, realm, realmKey, sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallationAdapterConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getBearerOnly()`
    `Map<String,Object>` | `getCredentials()`
    `PolicyEnforcerConfig` | `getEnforcerConfig()`
    `Boolean` | `getPublicClient()`
    `String` | `getResource()`
    `Boolean` | `getVerifyTokenAudience()`
    `Boolean` | `isUseResourceRoleMappings()`
    `void` | `setBearerOnly(Boolean bearerOnly)`
    `void` | `setCredentials(Map<String,Object> credentials)`
    `void` | `setEnforcerConfig(PolicyEnforcerConfig enforcerConfig)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setResource(String resource)`
    `void` | `setUseResourceRoleMappings(Boolean useResourceRoleMappings)`
    `void` | `setVerifyTokenAudience(Boolean verifyTokenAudience)`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getConfidentialPort, getRealm, getRealmKey, getSslRequired, setAuthServerUrl, setConfidentialPort, setRealm, setRealmKey, setSslRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resource

          protected String resource

    - #### useResourceRoleMappings

          protected Boolean useResourceRoleMappings

    - #### bearerOnly

          protected Boolean bearerOnly

    - #### publicClient

          protected Boolean publicClient

    - #### credentials

          protected Map<String,Object> credentials

    - #### verifyTokenAudience

          protected Boolean verifyTokenAudience

    - #### enforcerConfig

          protected PolicyEnforcerConfig enforcerConfig

  - ### Constructor Detail

    - #### InstallationAdapterConfig

          public InstallationAdapterConfig()

  - ### Method Detail

    - #### isUseResourceRoleMappings

          public Boolean isUseResourceRoleMappings()

    - #### setUseResourceRoleMappings

          public void setUseResourceRoleMappings(Boolean useResourceRoleMappings)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### getCredentials

          public Map<String,Object> getCredentials()

    - #### setCredentials

          public void setCredentials(Map<String,Object> credentials)

    - #### getVerifyTokenAudience

          public Boolean getVerifyTokenAudience()

    - #### setVerifyTokenAudience

          public void setVerifyTokenAudience(Boolean verifyTokenAudience)

    - #### getPublicClient

          public Boolean getPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

    - #### getBearerOnly

          public Boolean getBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

    - #### getEnforcerConfig

          public PolicyEnforcerConfig getEnforcerConfig()

    - #### setEnforcerConfig

          public void setEnforcerConfig(PolicyEnforcerConfig enforcerConfig)

Copyright © 2021 JBoss by Red Hat. All rights reserved.